{
   TCanvas* c = new TCanvas();
   c->Divide(1,2);

   TTree* t = new TTree();
   t->ReadFile( "Umfrage.dat", "geschlecht:groesse:schuh:gewicht" );

   // Option 1: Histogramm vorher anlegen
   c->cd(1);
   hgs = new TH2I("hgs", "Groesse vs. Schuhgroesse", 18, 34.5, 52.5, 66, 144.5, 210.5);
   hgs->SetXTitle("Schuhgroesse");
   hgs->SetYTitle("Koerpergroesse");
   t->Draw( "groesse:schuh>>hgs", "", "COL2" ); // SURF, COL2, SCAT, etc.

   // Option 2: Histogramm implizit anlegen in Project()
   c->cd(2);
   t->Project( "hbmi", "gewicht/((groesse/100.)**2)");
   hbmi->SetTitle("BMI");
   hbmi->SetXTitle("BMI");
   hbmi->SetYTitle("Anzahl");
   hbmi->Draw();

   c->Print("aufgabe.pdf");

   TFile *f = new TFile("aufgabe.root", "RECREATE");
   f->Add(hbmi);
   f->Add(hgs);
   f->Write();
}

